Articles of opengl

Как мне найти причину сбоя моей программы Linux?

Я разрабатываю графическую программу OpenGL в Arch Linux. Все работало нормально, за исключением того, что я недавно пытался визуализировать сцену Sponza. Программа запускается и работает нормально, однако мой графический процессор начинает издавать визг (я думаю, что вентиляторы вращаются слишком быстро), и примерно через минуту вся система падает и перезагружается. Проверка VRAM показывает, что при сбое […]

Как я могу получить поддержку OpenGL 3.3 (с GLSL 3.3) через mesa на Intel HD Graphics 3000 iGPU?

Недавно я купил ноутбук с процессором i5-2520M, в котором используется встроенная графика. Ковчег Intel говорит, что этот процессор имеет Intel HD Graphics 3000. На соответствующей странице Википедии сказано, что этот iGPU поддерживает OpenGl 3.3 в Linux. Источник, процитированный Wikipedia для этого утверждения, статья Phoronix , говорит следующее: Вечером в пятницу был опубликован патч для включения […]

Нужны драйверы Intel Xeon E3-1200 для Linux Mint 18

МОЕЙ школе было пожертвовано 35 компьютеров, которым 4 года. Каждый компьютер имеет 32-битную архитектуру. Я взял один, чтобы использовать его для AR Sandbox (проект Оливера Крейлоса). Для этого я установил Linux Mint версии 18.3 «SYLVIA» с рабочим столом MATE для 32-битной архитектуры. Затем я установил все программное обеспечение, необходимое для AR Sandbox, так как теперь […]

Использование Mesa v18.0.5, но только получение OpenGL v3.0

Я пытаюсь разрабатывать приложения на C / C ++ с использованием OpenGL. К сожалению, я не смог получить доступ к какой-либо функциональности после OpenGL 3.0. У меня Mesa версии 18.0.5, Linux Mint 18 64-bit, kernel ​​4.18.1 и интегрированная графика Intel. Терминальный выход: ~ $ lspci | grep VGA 00:02.0 VGA compatible controller: Intel Corporation Broadwell-U […]

NixOS: отсутствуют драйверы OpenGL

Я сделал чистую установку NixOS без X11 . Затем я побежал nix-env -i wayland nix-env -i sway nix-env -i glu nix-env -i mesa-noglu reboot sway Тем не менее, я получаю неверную ошибку gbm: failed to open any drive (search paths /run/opengl-driver/lib/dri) gbm: Last dlopen error: /run/opengl-driver/lib/dri/i965_dri.so: open shared object file: No such file or directory […]

Как плохое вызовы OpenGL вызывают сбои всей системы?

Я разрабатываю игру OpenGL, и я скопировал часть кода с похожим функциональным кодом, частично измененным для его новой функции, но все же были некоторые ошибки. Этот код вызывал функции рендеринга OpenGL с неправильными данными, параметрами. После вызова функций OpenGL с неправильными данными / аргументами вся система зависает, и я даже не могу переключиться на консоль […]

ld не может найти -lGL на CentOS 7

Я пытаюсь создать простое приложение, используя Qt 5.7 на CentOS 7.3. Но когда я пытаюсь скомпилировать его, я получаю следующие ошибки: cannot find -lGL collect2: error: ld returned 1 exit status Код приложения не имеет значения, поскольку любое приложение GUI (Qt Widgets или QtQuick) дает те же ошибки. Моя графическая карта – это Intel HD4000 […]

Wine / PoL дает множество ошибок в Fedora 17

Я пытаюсь запустить несколько игр indy для Windows на моем ноутбуке через Wine, но получил кучу ошибок в строках: wine: created the configuration directory '/home/jude/.wine' fixme:storage:create_storagefile Storage share mode not implemented. err:mscoree:LoadLibraryShim error reading registry key for installroot err:mscoree:LoadLibraryShim error reading registry key for installroot err:mscoree:LoadLibraryShim error reading registry key for installroot err:mscoree:LoadLibraryShim error reading […]

Обновите OpenGL от 1,2 до 2 для Nvidia GT218

Для запуска моего приложения требуется OpenGL version 2.0 или выше . glxinfo | grep OpenGL glxinfo | grep OpenGL дает: Xlib: extension "NV-GLX" missing on display ":1007.0". OpenGL vendor string: Mesa project: www.mesa3d.org OpenGL renderer string: Mesa GLX Indirect OpenGL version string: 1.2 (1.5 Mesa 6.4.1) OpenGL extensions: /sbin/lspci -v дает: 01:00.0 VGA compatible controller: […]

Buildroot OpenGL Capable Backend

Я пытаюсь настроить QT 5 через buildroot, а некоторые параметры недоступны, поэтому для сообщения requires an OpenGL-capable backend . Я использую buildroot 2013.08-rc1, но такое же сообщение появляется в 2013.05. Я нацелен на платформу x86_64 core2, и я не могу найти какие-либо опции для выбора OpenGL-бэкэнд (или что-то на самом деле OpenGL). Как включить OpenGL-сервер […]